package es.uniovi.reflection.patternmining.model;

import es.uniovi.reflection.patternmining.typedefs.TypeDefVisitor;
import es.uniovi.reflection.patternmining.visitor.expressions.ExpressionsVisitor;
import es.uniovi.reflection.patternmining.visitor.fields.FieldDefinitionsVisitor;
import es.uniovi.reflection.patternmining.visitor.file.FilesVisitor;
import es.uniovi.reflection.patternmining.visitor.methods.MethodDefinitionsVisitor;
import es.uniovi.reflection.patternmining.visitor.statements.StatementsVisitor;
import es.uniovi.reflection.patternmining.visitor.type.TypeVisitor;

public class Visitors {

	ExpressionsVisitor visitorExpressions = new ExpressionsVisitor();
	
	TypeDefVisitor visitorTypeDefs = new TypeDefVisitor();
	
	StatementsVisitor visitorStatements = new StatementsVisitor();
	
	FilesVisitor visitorFiles = new FilesVisitor();
	
	FieldDefinitionsVisitor visitorFields = new FieldDefinitionsVisitor();
	
	MethodDefinitionsVisitor visitorMethods = new MethodDefinitionsVisitor();
	
	TypeVisitor visitorType = new TypeVisitor();

	public ExpressionsVisitor getVisitorExpressions() {
		return visitorExpressions;
	}

	public void setVisitorExpressions(ExpressionsVisitor visitorExpressions) {
		this.visitorExpressions = visitorExpressions;
	}

	public TypeDefVisitor getVisitorTypeDefs() {
		return visitorTypeDefs;
	}

	public void setVisitorTypeDefs(TypeDefVisitor visitorTypeDefs) {
		this.visitorTypeDefs = visitorTypeDefs;
	}

	public StatementsVisitor getVisitorStatements() {
		return visitorStatements;
	}

	public void setVisitorStatements(StatementsVisitor visitorStatements) {
		this.visitorStatements = visitorStatements;
	}

	public FilesVisitor getVisitorFiles() {
		return visitorFiles;
	}

	public void setVisitorFiles(FilesVisitor visitorFiles) {
		this.visitorFiles = visitorFiles;
	}

	public FieldDefinitionsVisitor getVisitorFields() {
		return visitorFields;
	}

	public void setVisitorFields(FieldDefinitionsVisitor visitorFields) {
		this.visitorFields = visitorFields;
	}

	public MethodDefinitionsVisitor getVisitorMethods() {
		return visitorMethods;
	}

	public void setVisitorMethods(MethodDefinitionsVisitor visitorMethods) {
		this.visitorMethods = visitorMethods;
	}

	public TypeVisitor getVisitorType() {
		return visitorType;
	}

	public void setVisitorType(TypeVisitor visitorType) {
		this.visitorType = visitorType;
	}

}
